Bug 11194 - 2.1.3 src.rpm rebuild fails with the -j flag.
Summary: 2.1.3 src.rpm rebuild fails with the -j flag.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-03 12:40 UTC by Sam Varshavchik
Modified: 2016-11-24 15:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 00:11:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sam Varshavchik 2000-05-03 12:40:43 UTC
I have MAKEFLAGS="-j 4" in my environment, to build stuff in parallel, with
gmake.

the glibc src.rpm rebuild dies a horrible death -- the glibc makefile's
dependencies don't allow parallel builds.  Try it:

MAKEFLAGS="-j 4"
export MAKEFLAGS
rpm --rebuild glibc-2.1.3-15.src.rpm

Solution: add "unset MAKEFLAGS" in the spec file, just before make.

Comment 1 Cristian Gafton 2000-05-22 14:53:59 UTC
assign to jakub

Comment 2 Ulrich Drepper 2003-04-22 00:11:55 UTC
I build glibc with high -j numbers for ages.  At least the current code
definitely works, even on 4+ processor machines.


Note You need to log in before you can comment on or make changes to this bug.